## perl 5.32.1

=== debian/changelog ===
perl (5.32.1-4+deb11u3) bullseye; urgency=medium

  * [SECURITY] CVE-2023-47038: Write past buffer end via illegal
    user-defined Unicode property. (Closes: #1056746)

 -- Niko Tyni <ntyni@debian.org>  Sat, 25 Nov 2023 23:03:14 +0200

perl (5.32.1-4+deb11u2) bullseye; urgency=medium

  * Apply upstream patch fixing a regexp memory leak. (Closes: #994834)

 -- Niko Tyni <ntyni@debian.org>  Fri, 24 Sep 2021 19:10:58 +0300

perl (5.32.1-4+deb11u1) bullseye-security; urgency=high

  * [SECURITY] CVE-2021-36770: Encode loading code from working directory

 -- Niko Tyni <ntyni@debian.org>  Thu, 05 Aug 2021 22:26:55 +0300

perl (5.32.1-4) unstable; urgency=medium

  * Add perl Breaks: perl-modules-5.22 and early versions of
    perl-modules-5.26. They had the same issue as perl-modules-5.24,
    which perl already Breaks since 5.32.0-6. (Closes: #976704)

 -- Niko Tyni <ntyni@debian.org>  Thu, 29 Apr 2021 21:37:46 +0300

perl (5.32.1-3) unstable; urgency=medium

  * Refresh cross build support files for 5.32.1. (Closes: #983099)
    + Update source documentation (README.Source, debian/cross/README)
      with cross build support information.

 -- Niko Tyni <ntyni@debian.org>  Thu, 25 Feb 2021 16:52:03 +0200

perl (5.32.1-2) unstable; urgency=medium

  * Update relations with libmodule-corelist-perl to fix autopkgtest
    failures (Closes: #981409)
  * Add Breaks on earlier versions of libdevel-mat-dumper-perl built
    against earlier versions of perl (Closes: #981493)
  * Add 5.32.1 to debian/released-versions
  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Mon, 01 Feb 2021 22:44:54 +0000

perl (5.32.1-1) experimental; urgency=medium

  * Remove duplicate/obsolete entries for various tutorial documentation
    in d/copyright (this was erroneously missed from the previous
    release)
  * Update to new upstream version 5.32.1.

 -- Dominic Hargreaves <dom@earth.li>  Sun, 24 Jan 2021 10:49:43 +0000

perl (5.32.1~rc1-1) experimental; urgency=medium

  * Update to new upstream version 5.32.1~rc1.
  * Remove duplicate/obsolete entries for various tutorial documentation
    in d/copyright

 -- Dominic Hargreaves <dom@earth.li>  Mon, 18 Jan 2021 00:21:24 +0000

perl (5.32.0-6) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Update lintian overrides with various severity info and pedantic
    tags

  [ Niko Tyni ]
  * Add patch from Chris Lamb removing traces of the build directory from
    the binary packages. (Closes: #972559)
  * Refresh cross build support files.
  * Make perl Break the old perl-modules-5.24 package. (Closes: #976666)
  * Add a missing test dependency on dpkg-dev.

 -- Niko Tyni <ntyni@debian.org>  Sun, 13 Dec 2020 20:58:36 +0200

perl (5.32.0-5) unstable; urgency=medium

  [ Dominic Hargreaves ]
  * Add Breaks on versions of pod2pdf, bucardo, latexml, kio-perldoc
    which didn't depend on libpod-parser-perl (Closes: #974029)
  * Add Breaks on libencode-arabic-perl which had an autopkgtest
    regression with perl 5.32 (Closes: #974170)

  [ Niko Tyni ]
  * Update debian/copyright for 5.32.0 proper
  * Add test dependency on libdpkg-perl
  * Add Breaks on older versions of libmp3-tag-perl (see #947756)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 14 Nov 2020 11:19:57 +0000

perl (5.32.0-4) unstable; urgency=medium

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 08 Nov 2020 16:57:57 +0000

perl (5.32.0-3) experimental; urgency=medium

  * Replace the earlier IO-Socket-IP IPv6 fix with one which fixes FTBFS
    in other packages as well, authored by Niko Tyni (Closes: #968913)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 08 Sep 2020 23:55:26 +0100

perl (5.32.0-2) experimental; urgency=medium

  * Drop Provides/Breaks/Replaces on libpod-parser-perl, removed upstream.
  * Refresh cross support files.

 -- Niko Tyni <ntyni@debian.org>  Tue, 23 Jun 2020 20:05:06 +0300

perl (5.32.0-1) experimental; urgency=medium

  * Update to new upstream version 5.32.0.

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Jun 2020 19:46:36 +0100

perl (5.32.0~rc1-2) experimental; urgency=medium

  * Apply patch from John Paul Adrian Glaubitz fixing FTBFS on m68k
    (Closes: #963108)
  * Apply patch from Samuel Thibault fixing FTBFS on hurd
    (Closes: #963214)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 20 Jun 2020 18:14:38 +0100

perl (5.32.0~rc1-1) experimental; urgency=medium

  * Update to new upstream release candidate.

 -- Niko Tyni <ntyni@debian.org>  Sun, 14 Jun 2020 08:18:55 +0300
